/*	$Id: rethfu.h,v 1.1.1.1 2007/04/06 22:48:25 tamentis Exp $ */

/*
 * Copyright (c) 2007 Bertrand Janin <tamentis@neopulsar.org>
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#define MAXLINE		4096
#define MAXSUB		200
#define LISTENQ		1024
#define BUFFER_SIZE	65535
#define MAX_TRACKS	99
#define MAX_ARTIST	64
#define MAX_ALBUM	64
#define MAX_GENRE	32
#define TTRACK_MAX	128
#define TTITLE_MAX	128
#define ID3TAG_CMD	"id3tag -c\" \" -g\"%u\" -t\"%u\" -y\"%s\" -a\"%s\" \
-A\"%s\" -s\"%s\" \"%s\" > /dev/null"

/* cddbd error messages */
#define CDDB_501 "hmmm... freedb believes you provided a crappy category..."
#define CDDB_401 "where did you get this discid? freedb never heard of it!"

/* rethfu error messages */
#define ERROR_CAT "yeah right, anything more alphabetical for a category ?"
#define ERROR_DID "dude, only hexadecimal digits for the discid... please"
#define ERROR_ID3 "unable to find id3tag (from id3lib)..."
#define ERROR_NTD "nothing to do"

